Subject: Re: [hybi] WebSocket Version Numbers

From: "Bob Gezelter" <[email-masked]>
Date: Tue, 21 Jun 2011 18:58:08 -0700

Ian,

I admittedly do not have a list at my fingertips (at least for
protocols). With APIs, the difference between major and minor is a
question of upward compatibility (as was said in the follow-on to my
suggestion with regards to XMPP).

An incompatible change is signaled by a change in the major revision
level. A compatible change is signaled by a change in the minor revision
level. I have seen clients that depended on the difference between HTTP
1.0 and HTTP 1.1, and would not work with the newer protocol level.

Separately, major/minor version numbers are very useful when
troubleshooting problems, particularly when dealing with servers (or
clients) that are not under one's control.

- Bob Gezelter, http://www.rlgsc.com

> -------- Original Message --------
> Subject: Re: [hybi] WebSocket Version Numbers
> From: Ian Fette (イアンフェッティ) <[email-masked]>
> Date: Tue, June 21, 2011 6:21 pm
> To: Greg Wilkins <[email-masked]>
> Cc: Peter Saint-Andre <[email-masked]>, [email-masked],        Bob
> Gezelter <[email-masked]>
> 
> 
> Is there any real reason for using major and minor version numbers? Has any
> protocol actually been able to use minor version numbers for anything useful
> (e.g. both sides understand the major version but only one side understands
> the minor version and it's still useful? 1.1 was a minor version upgrade to
> HTTP and yet for all practical purposes it may as well have been 2.0.)
> 
>
[Earlier exchanges removed in the interest of brevity]